##### 7.7.11.0. makeUe6

Procedure from library `ncalg.lib` (see ncalg_lib).

Usage:
  makeUe6([p]); p an optional integer (field characteristic)

Return:
  a ring, describing U(e_6)

Note:
  You have to activate this ring with the 'setring' command. The presentation of U(e_6) is derived from the Chevalley representation of e_6, positive resp. negative roots are denoted by x(i) resp. y(i); Cartan elements are denoted by h(i).

Example:

    LIB "ncalg.lib";
    def ncAlgebra = makeUe6();
    ncAlgebra;
    ==> //   characteristic : 0
    ==> //   number of vars : 78
    ==> //        block   1 : ordering dp
    ==> //                  : names    X(1) X(2) X(3) X(4) X(5) X(6) X(7) X(8) X(\
       9) X(10) X(11) X(12) X(13) X(14) X(15) X(16) X(17) X(18) X(19) X(20) X(21\
       ) X(22) X(23) X(24) X(25) X(26) X(27) X(28) X(29) X(30) X(31) X(32) X(33)\
        X(34) X(35) X(36) Y(1) Y(2) Y(3) Y(4) Y(5) Y(6) Y(7) Y(8) Y(9) Y(10) Y(1\
       1) Y(12) Y(13) Y(14) Y(15) Y(16) Y(17) Y(18) Y(19) Y(20) Y(21) Y(22) Y(23\
       ) Y(24) Y(25) Y(26) Y(27) Y(28) Y(29) Y(30) Y(31) Y(32) Y(33) Y(34) Y(35)\
        Y(36) H(1) H(2) H(3) H(4) H(5) H(6)
    ==> //        block   2 : ordering C
    ==> //   noncommutative relations: ...
    setring ncAlgebra;
    // ...  1008  noncommutative relations

See also: makeUe6; makeUe7; makeUe8; makeUf4; makeUg2; makeUsl; makeUso5; makeUsp1.

User manual for Singular version 4-0-3, 2016, generated by texi2html.